#ifndef __BONDBOX__
#define __BONDBOX__
#include "box.h"
#include "dynList.h"

//*****   Variables globales ***======================================
extern bool cobweb,smoothpath,DisplayMotion;
extern double X,Theta;
extern int imax; // nombre de segments pour l'objet  bouger
extern int jmax;  // nombre de segments
extern double Ax,Ay,Bx,By;
extern vector<double> sx,sy,ax,ay,bx,by;
//=====================================================================

const int n=2;
class bondbox:public box
{
        public:
        TListe left[n+1],right[n+1];//On met n+1 ici car dans le traitement de ces listes on commence a l'indice 1
        int inside; //-1 = a l'exterieur ; 0 = On ne sait pas
        int couleur;
        int distance;
        bondbox* passeur;
        bondbox();
        bondbox(int);
        bondbox(bondbox &);
        ~bondbox();

        void operator= (bondbox&);

        friend void Bisect(bondbox&, bondbox&, bondbox&, box& V);
        friend void BisectAlong (bondbox&,bondbox&,bondbox&,int);
        friend ostream& operator<<(ostream&, bondbox&);
        friend ostream& operator<<(ostream& os, TListe&);

};
#endif
