#include "mainwindow.h"
#include "ui_mainwindow.h"

//**********    Variables globales  *****************  //
double Ax,Ay,Bx,By;
vector<double> sx,sy,ax,ay,bx,by;
int imax; // nombre de segments pour l'objet  bouger
int jmax;  // nombre de segments

//--------------------------------------------------------

MainWindow::MainWindow(QWidget *parent) :  QMainWindow(parent),
      ui(new Ui::MainWindow)
{
//***** Initialisation des variables globales**************//
        Ax=0;Ay=0;Bx=17;By=0;

        sx.push_back(0);        sy.push_back(0);
        sx.push_back(0);        sy.push_back(14);
        sx.push_back(14);       sy.push_back(14);
        sx.push_back(14);       sy.push_back(6);
        sx.push_back(10);       sy.push_back(6);
        sx.push_back(10);       sy.push_back(8);
        sx.push_back(12);       sy.push_back(8);
        sx.push_back(12);       sy.push_back(12);
        sx.push_back(2);        sy.push_back(12);
        sx.push_back(2);        sy.push_back(2);
        sx.push_back(18);       sy.push_back(2);
        sx.push_back(18);       sy.push_back(18);
        sx.push_back(20);       sy.push_back(18);
        sx.push_back(20);       sy.push_back(0);
        sx.push_back(0);        sy.push_back(0);

        ax.push_back(8);        ay.push_back(10);
        ax.push_back(25);       ay.push_back(10);
        bx.push_back(11);       by.push_back(10);
        bx.push_back(28);       by.push_back(10);

        imax=sx.size()-1;
        jmax=ax.size();
//================================================================

        ui->setupUi(this);
        setWindowTitle(tr("Path Planning Using Interval Analysis"));
        ui->widgetDrawRobot->drawRobot();
        ui->widgetCameleon1->drawAetB();
        //pour recupere les coordonnes de la souris dans widgetCameleon
        ui->widgetCameleon1->setMouseTracking(true);

}

//---------------------------------------------------------------------------
void MainWindow::SetSmoothPath()
{
    smoothpath=ui->checkBoxSmooth->isChecked();
}
//---------------------------------------------------------------------------
void MainWindow::SetCobWeb()
{
     cobweb=ui->checkBoxCobWeb->isChecked();
}
//---------------------------------------------------------------------------

MainWindow::~MainWindow()
{
    delete ui;
}
