#ifndef WIDGETSIVIA_H
#define WIDGETSIVIA_H

#include <QWidget>
#include <list>
#include <QPainter>
#include"bondbox.h"
#include"dynList.h"

extern list<box> path;

class widgetCameleon : public QWidget
{
    Q_OBJECT
public:

    bondbox* pA;
    bondbox* pB;
    box priorBox;
    QImage image1;

    void paintEvent(QPaintEvent *);
    void Clean(QPaintEvent *);
    void clear();
    void DrawMotion (list<box> chemin,box& priorBox,QColor col,QImage *image,QPainter *painterImage);
    void Sivia (bondbox &P,list<box>& path,QImage *image, QPainter *painter);
    void Cameleon(bondbox& P,list<box>& chemin,QImage *image,QPainter *painter);
    void DrawPath (bondbox* pB,box& priorbox,list<box>& chemin,QImage *image,QPainter *painter);
    void Dijkstra(bondbox* pA,bondbox* pB,int t1,int t2, int col) ;
    void CleanAll (bondbox* pP);
    void ReseauVersListe(bondbox* pA,TListe &L);
    void DrawCobweb(TListe& L,box& priorbox,QColor couleur,QImage *image, QPainter *painterImage);
    iboolean Inside(bondbox &P);
    iboolean InRobot(box& A);
    void nettoyerImage(QPainter *painterImage);
    void drawAetB();
    explicit widgetCameleon(QWidget *parent = 0);

signals: 
    void toWRobot(); //Signal vers widgetRobot pour dessiner le robot
public slots:
   void drawMotion();
   void pathSiviaStart();
   void cameleonStart();


virtual void mouseMoveEvent(QMouseEvent *event);

};

#endif // WIDGETSIVIA_H
